Summary:        Library providing XML C parser and toolkit 
Name:           libxml2
Version:        2.9.14
Release:        3%{?dist}
License:        MIT
URL:            https://gitlab.gnome.org/GNOME/libxml2/-/wikis/home
Source0:        https://download.gnome.org/sources/%{name}/2.9/%{name}-%{version}.tar.xz

Patch5000:      5000-update-config-multilib.patch

BuildRequires:  gcc make cmake-rpm-macros git
BuildRequires:  pkgconfig(zlib) pkgconfig(liblzma)

%description
Libxml2 is the XML C parser and toolkit developed for the Gnome project 
(but usable outside of the Gnome platform), it is free software available 
under the MIT License. XML itself is a metalanguage to design markup 
languages, i.e. text language where semantic and structure are added to 
the content using extra "markup" information enclosed between angle brackets. 
HTML is the most well-known markup language. Though the library is written 
in C a variety of language bindings make it available in other environments.

%package devel
Summary:        Libraries, includes, etc. to develop XML and HTML applications
Requires:       %{name} = %{version}-%{release}
Requires:       zlib-devel
Requires:       xz-devel

%description devel
Libraries, include files, etc you can use to develop XML applications.
This library allows to manipulate XML files. It includes support to read, 
modify and write XML and HTML files. 

%package static
Summary:        Static library for libxml2

%description static
Static library for libxml2 provided for specific uses or shaving a few
microseconds when parsing, do not link to them for generic purpose packages.

%package -n python3-%{name}
Summary:        Python 3 bindings for the libxml2 library
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-python3 = %{version}-%{release}

%description -n python3-%{name}
The libxml2-python3 package contains a Python 3 module that permits
applications written in the Python programming language, version 3, to use the
interface supplied by the libxml2 library to manipulate XML files.

%prep
%autosetup -n %{name}-%{version} -S git
find doc -type f -executable -print -exec chmod 0644 {} ';'

%build
%configure --with-python=%{__python3}
%make_build

%install
%make_install

find %{buildroot} -type f -name '*.la' -print -delete
rm -vf %{buildroot}%{python3_sitearch}/*.a
rm -vrf %{buildroot}%{_datadir}/doc/
(cd doc/examples ; make clean ; rm -rf .deps Makefile)
gzip -9 -c doc/libxml2-api.xml > doc/libxml2-api.xml.gz

%check
%make_build runtests

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license Copyright
%doc NEWS README.md TODO  
%{_libdir}/libxml2.so.2*
%{_bindir}/*
%{_mandir}/*/*

%files devel
%doc doc/*.html doc/html doc/*.gif doc/*.png doc/tutorial doc/libxml2-api.xml.gz doc/examples
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libxml2/
%{_datadir}/aclocal/libxml.m4
%{_mandir}/man1/xml2-config.1*
%{_includedir}/libxml2/
%{_bindir}/xml2-config
%{_libdir}/libxml2.so
%{_libdir}/xml2Conf.sh
%{_libdir}/pkgconfig/libxml-2.0.pc
%{_libdir}/cmake/libxml2/

%files static
%license Copyright
%{_libdir}/libxml2.a

%files -n python3-%{name}
%doc python/TODO python/libxml2class.txt
%doc doc/*.py doc/python.html
%{python3_sitearch}/libxml2.py
%{python3_sitearch}/__pycache__/libxml2.*
%{python3_sitearch}/drv_libxml2.py
%{python3_sitearch}/__pycache__/drv_libxml2.*
%{python3_sitearch}/libxml2mod.so

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.14-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 jackbertluo <jackbertluo@tencent.com> - 2.9.14-1
- Initial build
